Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Feature schließen - API

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Direct Editing in SOLIDWORKS
Autor Thema:   Feature schließen - API (896 mal gelesen)
hannesoutoftrier
Mitglied



Sehen Sie sich das Profil von hannesoutoftrier an!   Senden Sie eine Private Message an hannesoutoftrier  Schreiben Sie einen Gästebucheintrag für hannesoutoftrier

Beiträge: 15
Registriert: 01.05.2008

erstellt am: 08. Jun. 2011 14:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

hoffe ihr könnt mir nocheinmal helfen, da ich nicht weiter komme.

Ich habe ein Feature erstellt (Oberflächen-Ausformung) und möchte es nun mit Hilfe eines Makros bearbeiten. Deshalb gehe ich wie folgt vor:

Code:

boolstatus = Part.Extension.SelectByID2("Oberfläche-Ausformung1", "REFSURFACE", 0, 0, 0, False, 0, Nothing, 0)

Part.FeatEditDef  'Hiermit öffne ich das Feature Oberflächen Ausformung 1

Part.ClearSelection2 True  'Wähle alle vorherigen Skizzen ab

boolstatus = Part.Extension.SelectByID2("Skizze", "SKETCH", 0, 0, 0, True, 1, Nothing, 0)
       
    .... Weitere Auswahl .....



Jetzt tritt mein Problem auf, da ich bis jetzt noch keine Funktion gefunden hat, die mein bearbeitetes Feature wieder schließt.

Habe mit SendKeys (Enter) probiert, jedoch läuft mein restliches Makro dann nicht mehr durch.

Hoffe ihr könnt mir weiterhelfen.

Vielen Dank im Voraus

Johannes

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 702
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell Precision 5820
Intel Xeon W-2125 4x4GHz
NVIDIA Quadro P2000 5GB
32GB RAM
2x Dell U2412M, 24" TFT
Windows 10 Enterprise x64 1703
Microsoft Office 365 ProPlus
Microsoft Visual Studio Enterprise 2019

erstellt am: 08. Jun. 2011 14:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hannesoutoftrier 10 Unities + Antwort hilfreich

Hallo Johannes

Das Bearbeiten eines Features oder Skizze beenden macht man mit der InsertSketch Method.

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hannesoutoftrier
Mitglied



Sehen Sie sich das Profil von hannesoutoftrier an!   Senden Sie eine Private Message an hannesoutoftrier  Schreiben Sie einen Gästebucheintrag für hannesoutoftrier

Beiträge: 15
Registriert: 01.05.2008

erstellt am: 08. Jun. 2011 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

danke für die schnelle Antwort.

Leider habe ich es immer noch nicht hinbekommen mein Feature damit zu schließen. Habe nun folgendes hinzugefügt:

Code:
Part.SketchManager.InsertSketch True

Hoffe ihr könnt mir nocheinmal weiterhelfen.

Vielen Dank im Voraus

Johannes

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 08. Jun. 2011 16:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hannesoutoftrier 10 Unities + Antwort hilfreich

Ich würde das so machen:

Dim swApp As Object
    Dim Part As Object
    Dim boolstatus As Boolean
Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    boolstatus = Part.Extension.SelectByID2("Skizze1", "SKETCH", -0.08630774182736, 0.05781985638312, 0, False, 1, Nothing, 0)
    boolstatus = Part.Extension.SelectByID2("Skizze2", "SKETCH", 0, -0.03477297912912, -0.08426968495553, True, 1, Nothing, 0)
    Part.InsertLoftRefSurface2 False, True, False, 1, 0, 0
End Sub

Zur Not eine schon existierende Fläche, wenn sie geändert werden soll, vorher löschen.

------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hannesoutoftrier
Mitglied



Sehen Sie sich das Profil von hannesoutoftrier an!   Senden Sie eine Private Message an hannesoutoftrier  Schreiben Sie einen Gästebucheintrag für hannesoutoftrier

Beiträge: 15
Registriert: 01.05.2008

erstellt am: 08. Jun. 2011 16:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

danke für die Antwort. Ich habe mir auch schon überlegt, dass dies die einfachste Möglichkeit ist. Werde dies dann so lösen.

Vielen Dank!

Johannes

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 702
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell Precision 5820
Intel Xeon W-2125 4x4GHz
NVIDIA Quadro P2000 5GB
32GB RAM
2x Dell U2412M, 24" TFT
Windows 10 Enterprise x64 1703
Microsoft Office 365 ProPlus
Microsoft Visual Studio Enterprise 2019

erstellt am: 08. Jun. 2011 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hannesoutoftrier 10 Unities + Antwort hilfreich


022344_Test_Makro.zip

 
Hallo Johannes

Komisch das der Befehl bei Oberflachenfeatures nicht geht.

Aber dieser geht

Code:
Part.Extension.RunCommand swCommands_PmOK, ""

Gruss Andreas

------------------
21 ist nur die halbe Antwort.
   

[Diese Nachricht wurde von HenryV am 09. Jun. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz